cascading.flow.hadoop.stream

## Class HadoopMemoryJoinGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.stream.element.MemorySpliceGate
          - - cascading.flow.stream.element.MemoryHashJoinGate
            - - cascading.flow.hadoop.stream.HadoopMemoryJoinGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct

      public class HadoopMemoryJoinGate
      extends MemoryHashJoinGate

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HadoopMemoryJoinGate.Spill`

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.element.MemoryHashJoinGate

      `latch`

    - ### Fields inherited from class cascading.flow.stream.element.MemorySpliceGate

      `closure, count, keys, keyValues, numIncomingEventingPaths`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, ordinalMap, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopMemoryJoinGate(FlowProcess<? extends Configuration> flowProcess, HashJoin join)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `countDownLatch()`
    `protected Set<Tuple>` | `createKeySet()`
    `protected Map<Tuple,Collection<Tuple>>` | `createTupleMap()`
    `protected void` | `waitOnLatch()`

    - ### Methods inherited from class cascading.flow.stream.element.MemoryHashJoinGate

      `bind, complete, isBlockingStreamed, prepare, receive`

    - ### Methods inherited from class cascading.flow.stream.element.MemorySpliceGate

      `createDefaultNarrowBuilder, createKeyValuesArray, initialize`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createNarrowBuilder, createNulledBuilder, equals, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, hashCode, initComparators, setOrdinalMap, toString`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hasTrapHandler, setBranchNames, setTrapHandler`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopMemoryJoinGate

          public HadoopMemoryJoinGate(FlowProcess<? extends Configuration> flowProcess,
                              HashJoin join)

  - ### Method Detail

    - #### createKeySet

          protected Set<Tuple> createKeySet()

      Overrides:
        `createKeySet` in class `MemorySpliceGate`

    - #### createTupleMap

          protected Map<Tuple,Collection<Tuple>> createTupleMap()

      Overrides:
        `createTupleMap` in class `MemorySpliceGate`

    - #### waitOnLatch

          protected void waitOnLatch()

      Overrides:
        `waitOnLatch` in class `MemoryHashJoinGate`

    - #### countDownLatch

          protected void countDownLatch()

      Overrides:
        `countDownLatch` in class `MemoryHashJoinGate`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.